summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Robby Workman <rw@rlworkman.net>2010-05-11 19:46:43 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 19:46:43 +0200
commitb63a0f19679e0e09408a568922d267952a19c36e (patch)
treec95af946a68d7854a093e0923399797c8e19fe4e /system
parent1a743c5fbe5d588b38c021bffea42ed6f62cc64a (diff)
downloadslackbuilds-b63a0f19679e0e09408a568922d267952a19c36e.tar.gz
slackbuilds-b63a0f19679e0e09408a568922d267952a19c36e.tar.xz
system/ulogd: Updated for version 1.24
Diffstat (limited to 'system')
-rw-r--r--system/ulogd/README1
-rw-r--r--system/ulogd/doinst.sh13
-rw-r--r--system/ulogd/slack-desc10
-rw-r--r--system/ulogd/ulogd.SlackBuild36
-rw-r--r--system/ulogd/ulogd.info2
5 files changed, 39 insertions, 23 deletions
diff --git a/system/ulogd/README b/system/ulogd/README
index 81bab94919..f7f66caf54 100644
--- a/system/ulogd/README
+++ b/system/ulogd/README
@@ -9,4 +9,3 @@ it works fine with the default, but you might want to customize it...
You'll also need to make sure you have the ULOG target support in
your kernel config.
-
diff --git a/system/ulogd/doinst.sh b/system/ulogd/doinst.sh
index cecac19279..31fe42432e 100644
--- a/system/ulogd/doinst.sh
+++ b/system/ulogd/doinst.sh
@@ -1,17 +1,24 @@
config() {
NEW="$1"
- OLD="`dirname $NEW`/`basename $NEW .new`"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
# If there's no config file by that name, mv it over:
if [ ! -r $OLD ]; then
mv $NEW $OLD
- elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
# toss the redundant copy
rm $NEW
fi
# Otherwise, we leave the .new copy for the admin to consider...
}
+# Keep same perms on rc.ulogd.new:
+if [ -e etc/rc.d/rc.ulogd ]; then
+ cp -a etc/rc.d/rc.ulogd etc/rc.d/rc.ulogd.new.incoming
+ cat etc/rc.d/rc.ulogd.new > etc/rc.d/rc.ulogd.new.incoming
+ mv etc/rc.d/rc.ulogd.new.incoming etc/rc.d/rc.ulogd.new
+fi
+
config etc/ulogd.conf.new
+config etc/logrotate.d/ulogd.new
config etc/rc.d/rc.ulogd.new
-config etc/logrotate.d/ulogd.logrotate.new
diff --git a/system/ulogd/slack-desc b/system/ulogd/slack-desc
index 37342d00f6..680f95269b 100644
--- a/system/ulogd/slack-desc
+++ b/system/ulogd/slack-desc
@@ -1,4 +1,12 @@
-ulogd: Harald Welte's Userspace Logging Daemon
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+ulogd: ulogd (Harald Welte's Userspace Logging Daemon)
ulogd:
ulogd: ulogd is a handy add-on for netfilter/iptables which allows you to
ulogd: have your firewall logs put somewhere besides the main system logs
diff --git a/system/ulogd/ulogd.SlackBuild b/system/ulogd/ulogd.SlackBuild
index f8558543b4..8ba20de525 100644
--- a/system/ulogd/ulogd.SlackBuild
+++ b/system/ulogd/ulogd.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for ulogd
-# Copyright 2006 Robby Workman (http://rlworkman.net)
+# Copyright 2006-2007 Robby Workman (http://rlworkman.net)
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,14 +22,13 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-# Modified by the SlackBuilds.org project
-
PRGNAM=ulogd
VERSION=1.24
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-4}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-CWD=`pwd`
+
+CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
@@ -40,12 +39,14 @@ elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $TMP || exit 1
+cd $TMP
rm -rf $PRGNAM-$VERSION
-tar -xjvf $CWD/$PRGNAM-$VERSION.tar.bz2
-cd $PRGNAM-$VERSION || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
chown -R root:root .
chmod -R a-s,u+w,go+r-w .
@@ -53,20 +54,21 @@ CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--sysconfdir=/etc \
- --localstatedir=/var \
- || exit 1
+ --localstatedir=/var
-make || exit 1
-make install DESTDIR=$PKG || exit 1
+make
+make install DESTDIR=$PKG
-find $PKG | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-find $PKG | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
install -D -m 0755 $CWD/rc.ulogd $PKG/etc/rc.d/rc.ulogd.new
mv $PKG/etc/ulogd.conf $PKG/etc/ulogd.conf.new
# Install logrotate script
-install -D -m 0644 ulogd.logrotate $PKG/etc/logrotate.d/ulogd.logrotate.new
+install -D -m 0644 ulogd.logrotate $PKG/etc/logrotate.d/ulogd.new
# Install man page
mkdir -p $PKG/usr/man/man8
@@ -76,8 +78,8 @@ mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a AUTHORS COPYING README TODO Changes $PKG/usr/doc/$PRGNAM-$VERSION
for i in \
mysql.table mysql.table.ipaddr-as-string pgsql.table sqlite3.table \
- ulogd.a4.ps ulogd.html ulogd.sgml ulogd.txt ;
-do cat doc/$i > $PKG/usr/doc/$PRGNAM-$VERSION/$i ;
+ ulogd.a4.ps ulogd.html ulogd.sgml ulogd.txt ; do
+ cat doc/$i > $PKG/usr/doc/$PRGNAM-$VERSION/$i ;
done
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
diff --git a/system/ulogd/ulogd.info b/system/ulogd/ulogd.info
index e6a4d5c3af..682be25b5b 100644
--- a/system/ulogd/ulogd.info
+++ b/system/ulogd/ulogd.info
@@ -5,4 +5,4 @@ DOWNLOAD="http://www.netfilter.org/projects/ulogd/files/ulogd-1.24.tar.bz2"
MD5SUM="05b4ed2926b9a22aaeaf642917bbf8ff"
MAINTAINER="Robby Workman"
EMAIL="rw@rlworkman.net"
-APPROVED="robw810"
+APPROVED="BP{k}"